<?php

/*
	[SupeSite/X-Space] (C)2001-2006 Comsenz Inc.
	升級文件
	適用於release0330版本到release0415版本的數據庫升級

	$RCSfile: update_0330_0415.php,v $
	$Revision: 1.3 $
	$Date: 2006/09/21 08:42:28 $
*/

define('IN_SUPESITE', TRUE);

error_reporting(E_ERROR | E_WARNING | E_PARSE);
set_magic_quotes_runtime(0);

if(!file_exists('./config.php')) {
	exit('請將本文件移動到程序根目錄下面，然後再執行進行升級');
}

include_once('./config.php');
include_once('./update/inc/func.php');

//SQL升級文
$sqlfile = './update/sql/0330_0415.sql';

//頁面顯示
tplheader();
echo '<ul>';
echo '<li>SupeSite/X-Space升級開始</li>';

//升級數據庫
dbupdate();

//頁面顯示
echo '<li>release0330版本到release0415版本升級結束。</li>';
echo '<li>請參考反饋信息，如果有錯誤發生，請檢查您當前的數據庫結構是否正確。</li>';
echo '<li>如果無錯誤提示，表示升級成功\，請立即刪除本文件。</li>';
echo '</ul>';
tplfooter();

?>